html {
  font-size: 62.5%;
  box-sizing: border-box;
}
body {
  margin: 0;
  padding: 0;
  font-family: Montserrat, sans-serif;
}
/* end of common styles */
/* navbar */
/* sidebar */
.sidebar {
  width: 8rem;
  height: 100%;
  background: rgb(102, 102, 102);
  background: linear-gradient(
    180deg,
    rgb(196, 196, 196) 50%,
    rgba(255, 255, 255, 0.7) 76%
  );
  position: fixed;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  z-index: 10;
}
.menu-icon {
  margin-top: 3rem;
  cursor: pointer;
}
.line {
  height: 0.2rem;
  width: 2.5rem;
  background-color: #222;
  margin-bottom: 0.6rem;
}
.line-1,
.line-3 {
  width: 1.8rem;
  transition: all 0.5s;
}
.menu-icon:hover .line {
  width: 2.5rem;
}
.social-icons-list {
  list-style-type: none;
  padding: 0;
  height: 25rem;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
}
.social-link {
  font-size: 2rem;
  color: #777;
  transition: color 0.3s;
}
.social-link:hover {
  color: #deaa86;
}
.year {
  margin-bottom: 1rem;
  font-size: 1.5rem;
  color: #555;
}
/* end of sidebar */
/* navigation */
.navigation {
  left: -32rem;
  position: fixed;
  width: 40rem;
  height: 100%;
  background: linear-gradient(
      to top,
      rgba(34, 32, 41, 1),
      rgba(34, 32, 41, 0.8)
    ),
    url(../img/nav-bg.jpeg) center no-repeat;
  background-size: cover;
  position: fixed;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  transition: left 0.7s ease-in-out;
  z-index: 5;
}
.navigation-heading {
  font-family: "Josefin Sans", sans-serif;
  font-size: 3.5rem;
  font-weight: 300;
  letter-spacing: 0.2rem;
  color: #deaa86;
  text-align: center;
}
.navigation-search {
  position: relative;
}
.navigation-search-input {
  width: 30rem;
  padding: 1rem 2rem;
  background-color: rgba(0, 0, 0, 0.3);
  font-family: "Josefin Sans", sans-serif;
  font-size: 1.6rem;
  color: #deaa86;
  letter-spacing: 0.1rem;
  outline: none;
  border: 0.1rem solid #555;
  border-radius: 10rem;
  transition: background-color 0.3s;
}
.navigation-search-input:focus {
  background-color: rgba(0, 0, 0, 0.7);
}
.navigation-search-btn {
  border: none;
  background-color: transparent;
  color: #deaa86;
  font-size: 1.7rem;
  position: absolute;
  top: 1rem;
  right: 1rem;
  transition: transform 0.5s ease-in-out;
}
.navigation-search-btn:focus {
  outline: none;
}
.navigation-search-btn:hover {
  cursor: pointer;
  transform: scale(1.1);
}
.navigation-list {
  list-style-type: none;
  padding: 0;
  height: 28rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
.navigation-item {
  position: relative;
}
.navigation-link {
  color: white;
  font-size: 1.6rem;
  font-weight: 400;
  text-decoration: none;
  letter-spacing: 0.1rem;
  text-transform: uppercase;
  transition: color 0.5s;
}
.navigation-link::before {
  content: "";
  width: 0rem;
  height: 0.1rem;
  background-color: #dea886;
  position: absolute;
  top: 1rem;
  left: -4rem;
  transition: width 0.5s cubic-bezier(1, 0, 0, 1);
}
.navigation-link::after {
  content: "";
  width: 0rem;
  height: 0.1rem;
  background-color: #dea886;
  position: absolute;
  top: 1rem;
  right: -4rem;
  transition: width 0.5s cubic-bezier(1, 0, 0, 1);
}
.navigation-link:hover {
  color: #dea886;
}
.navigation-link:hover::before,
.navigation-link:hover::after {
  width: 3rem;
}
.copyright {
  color: #fff;
  font-size: 1.2rem;
  margin-bottom: 1.5rem;
}
.checkbox:checked ~ .navigation {
  left: 8rem;
}
.checkbox:checked ~ .sidebar .line-1 {
  transform: rotate(-405deg) translate(-5px, 6px);
  width: 2.5rem;
}
.checkbox:checked ~ .sidebar .line-2 {
  opacity: 0;
}
.checkbox:checked ~ .sidebar .line-3 {
  transform: rotate(405deg) translate(-5px, -6px);
  width: 2.5rem;
}
/* end of navigation */
/* end of navbar */
/* header */
.header {
  margin-left: 8rem;
  height: 100vh;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.5)),
    url(../img/header-1.jpeg) center no-repeat;
  background-size: cover;
}
.brand {
  display: flex;
  cursor: pointer;
}
.hotel-heading {
  font-family: "Josefin Sans", sans-serif;
  font-size: 2.7rem;
  font-weight: 400;
  color: #deaa86;
  letter-spacing: 0.2rem;
}
.banner {
  color: #ddd;
  height: 65rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.banner-heading {
  font-family: "Josefin Sans", sans-serif;
  font-size: 7rem;
  font-weight: 400;
  margin-bottom: 0;
  animation: anim 2s;
}
.banner-paragraph {
  font-size: 3.5rem;
  font-weight: 300;
  animation: anim 1.5s 0.5s backwards;
}
.banner-button {
  width: 21rem;
  padding: 1.2rem 2rem;
  font-size: 2rem;
  color: #333;
  border: none;
  letter-spacing: 0.2rem;
  border-radius: 10rem;
  outline: none;
  cursor: pointer;
  background: linear-gradient(to right, gold, goldenrod);
  animation: anim 1.5s 1.2s backwards;
  /* transition: all ease-in-out 1s; */
}
.banner-button:hover {
  background: linear-gradient(to left, gold, goldenrod);
}
.banner-button:active {
  transform: translateY(0.2rem);
}
@keyframes anim {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
/* end of header */

/* about us */
.about-us {
  margin-left: 8rem;
  display: flex;
  background-color: #ddd;
}
.about-us-content {
  flex: 0 1 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10rem;
  box-sizing: border-box;
}
.about-us-heading {
  font-family: "Josefin Sans", sans-serif;
  font-size: 4rem;
  font-weight: 300;
  text-transform: uppercase;
  color: #555;
}
.small-underline {
  width: 9rem;
  height: 0.1rem;
  background-color: #b85d1c;
  margin: 0 auto 1rem auto;
}
.big-underline {
  width: 20rem;
  height: 0.1rem;
  background-color: #b85d1c;
}
.subheading {
  font-size: 3.5rem;
  font-weight: 300;
  letter-spacing: 0.2rem;
  color: #b85d1c;
}

.about-us-paragraph {
  font-size: 1.6rem;
  font-style: italic;
  font-weight: 300;
  text-align: center;
  margin-bottom: 5rem;
}
.about-us-btn {
  width: 15rem;
  padding: 0.7rem 0.5rem;
  font-family: Montserrat, sans-serif;
  font-size: 1.2rem;
  text-transform: uppercase;
  color: #b85d1c;
  background-color: transparent;
  outline: none;
  border: 0.1rem solid #b85d1c;
  cursor: pointer;
  border-radius: 1rem;
}
.btn-arrow {
  margin-left: 0.6rem;
  transition: all 0.5s;
}
.about-us-btn:hover .btn-arrow {
  margin-left: 1.5rem;
}
.about-us-btn:active {
  transform: translateY(0.2rem);
}
.about-us-images {
  flex: 1 1;
  position: relative;
}
.image {
  width: 32rem;
  position: absolute;
  top: 50%;
  left: 50%;
  box-shadow: 0 3rem 6rem rgba(0, 0, 0, 0.4);
  border-radius: 0.4rem;
  border: 0.1rem solid #b85d1c;
}
.image-1 {
  transform: translate(-20%, -90%);
}
.image-2 {
  transform: translate(-70%, -70%);
}
.image-3 {
  transform: translate(-50%, -50%);
}
.image-4 {
  transform: translate(-30%, -30%);
}

/* endof about us */
/* common header */
.common-header {
  padding: 5rem;
  text-align: center;
  color: #b85d1c;
}
.common-heading {
  font-size: 4rem;
  font-weight: 300;
  letter-spacing: 0.2rem;
}
.small-underline {
  width: 9rem;
  height: 0.1rem;
  background-color: #b85d1c;
  margin: 0 auto 1rem auto;
}
.big-underline {
  width: 20rem;
  height: 0.1rem;
  background-color: #b85d1c;
  margin: auto;
}
/* end of common header */
/* rooms */
.rooms {
  margin-left: 8rem;
}
.rooms-cards-wrapper {
  display: flex;
  flex-wrap: wrap;
}
.room-card {
  width: 60rem;
  margin: 5rem;
  background-color: #15141b;
  box-shadow: 0 3rem 6rem rgba(0, 0, 0, 0.5);
}
.room-img {
  width: 100%;
}

.room-content {
  color: #ddd;
  padding: 2rem;
}
.room-card-heading {
  margin: 0;
  font-size: 3rem;
  font-weight: 300;
}
.room-card-paragraph {
  font-size: 1.5rem;
  color: #777;
}
.room-price {
  font-size: 5rem;
  font-weight: 300;
  text-align: right;
  margin: 0;
}
.room-card-btn {
  width: 15rem;
  padding: 1.5rem 1rem;
  font-family: Montserrat, sans-serif;
  font-size: 1.2rem;
  text-transform: uppercase;
  color: #b85d1c;
  background-color: transparent;
  outline: none;
  border: 0.1rem solid #b85d1c;
  cursor: pointer;
  border-radius: 10rem;
}
.rooms-btn-wrapper {
  text-align: center;
}
.rooms-btn {
  width: 20rem;
  padding: 1.5rem 1rem;
  margin: 4rem 0;
  background-color: transparent;
  text-transform: uppercase;
  color: #b85d1c;
  outline: none;
  border: 0.2rem solid #b85d1c;
  border-radius: 0.5rem;
  cursor: pointer;
  box-shadow: 0 1.5rem 6rem rgba(0, 0, 0, 0.3);
  transition: all 0.2s;
}
.rooms-btn:hover {
  color: #ddd;
  background-color: #b85d1c;
}
/* end of rooms */
/* customers*/

.customers {
  margin-left: 8rem;
  padding-bottom: 1rem;
  background-color: #15141b;
}
.customers-paragraph {
  font-size: 1.8rem;
  color: #ddd;
  width: 50%;
  margin: 2rem auto 6rem auto;
}
.customers-card-wrapper {
  display: flex;
  justify-content: space-evenly;
}
.customer-card {
  background-color: #eee;
  width: 60rem;
  display: flex;
}
.customer-image-wrapper {
  margin: auto 0;
}
.customer-image {
  width: 20rem;
  margin-left: -1.3rem;
}
.customer-info {
  padding: 0 2rem;
}
.customer-fullname {
  font-size: 2rem;
  font-weight: 300;
  margin-bottom: 0;
}
.customer-paragraph-1 {
  font-size: 1.2rem;
  font-style: italic;
  color: #b85d1c;
}
.customer-paragraph-2 {
  font-size: 1.3rem;
  font-style: italic;
}
/* end of cutomers */
/* footer */
.footer {
  margin-left: 8rem;
}
.main-part {
  display: flex;
  justify-content: space-between;
  background-color: #1c1c1c;
  padding: 4rem;
}
.footer-heading {
  font-size: 2rem;
  font-weight: 300;
  color: goldenrod;
  margin: 1rem 0 3rem 0;
}
.footer-list {
  list-style: none;
  padding: 0;
}
.footer-list-item {
  margin-bottom: 2rem;
}
.footer-list-link {
  font-size: 1.4rem;
  text-decoration: none;
  color: #bbb;
}
.contact p {
  font-size: 1.5rem;
  color: #bbb;
  margin-bottom: 4rem;
}
.footer-form {
  display: flex;
}
.footer-input {
  width: 25rem;
  padding: 1rem;
  font-family: "Josefin Sans", sans-serif;
  font-size: 1.8rem;
  color: #444;
  outline: none;
}
.footer-btn {
  padding: 1rem;
  background-color: #b85d1c;
  color: #ddd;
  border: none;
}
.gallery {
  max-width: 45rem;
}
.image-wrapper {
  width: 12rem;
  margin: 0.4rem;
  overflow: hidden;
}

.footer-image {
  width: 100%;
  transition: all 0.5s;
  height: 100%;
  backface-visibility: hidden;
}
.gallery-images {
  display: flex;
  flex-wrap: wrap;
}
.footer-image:hover {
  transform: scale(2);
  opacity: 0.8;
}
.creator-part {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #111;
  padding: 0 4rem;
}
.copyright-text {
  font-size: 1.3rem;
  color: #aaa;
}
.text-right {
  font-size: 1.4rem;
  color: #bbb;
}
.text-right i {
  font-size: 2rem;
  margin: 0.5rem;
  color: tomato;
}
/* end of footer */

@media (max-width: 1400px) {
  .customers-card-wrapper {
    flex-direction: column;
    align-items: center;
  }

  .customer-card:first-child {
    margin-bottom: 3rem;
  }
  .main-part {
    flex-direction: column;
  }
  .footer-list {
    display: flex;
  }
  .footer-list-item {
    margin-right: 3rem;
  }
}

@media (max-width: 1200px) {
  .about-us {
    flex-direction: column;
    padding-bottom: 20rem;
  }
  .about-us-content {
    margin-bottom: 30rem;
  }
  .image {
    width: 25rem;
  }
}
@media (max-width: 900px) {
  .banner {
    text-align: center;
  }
  .banner-heading {
    font-size: 4.7rem;
  }
  .banner-paragraph {
    font-size: 2.6rem;
  }
  .banner-button {
    width: 16rem;
    font-size: 1.5rem;
  }
}
@media (max-width: 750px) {
  .customer-card {
    flex-direction: column;
    width: 20rem;
  }
  .customer-image {
    margin-left: 0;
  }
  .footer-list {
    display: block;
  }
  .creator-part {
    flex-direction: column;
    margin: auto;
    text-align: center;
  }
  .copyright-text {
    order: 1;
  }
}
@media (max-width: 500px) {
  .navigation {
    width: 28rem;
  }
  .navigation-search-input {
    width: 20rem;
  }
  .image {
    width: 13rem;
  }
  .about-us {
    padding-bottom: 15rem;
  }
  .about-us-heading {
    font-size: 2.5rem;
    text-align: center;
  }
  .subheading {
    font-size: 2rem;
    text-align: center;
  }
  .about-us-content {
    padding: 5rem;
    margin-bottom: 15rem;
  }
  .hotel-heading {
    font-size: 2rem;
    margin: auto 0;
  }
}
